# Forma11y

Improve accessibility in your forms by programmatically associating error messages with input fields using `aria-describedby` and ARIA live region `role="alert"`.

> Forma11y helps assistive technology users better understand and interact with inline form error messages.

**Note:** Once the core issue [Programmatically associate error messages with inputs](https://www.drupal.org/project/drupal/issues/3083103) is resolved in Drupal core, this module will no longer be necessary.


## Features
* Automatically associates form error messages with the correct input elements using `aria-describedby`.
* Adds `role="alert"` to error messages so they’re announced by screen readers immediately.
* Generates unique IDs for error messages to ensure proper referencing.
* Disables HTML5 validation by adding `novalidate` to form tags to prevent conflicting browser validation.


## Additional Requirements
Inline Form Errors (Core)

## Recommended modules
[Webform](https://www.drupal.org/project/webform) (Contrib)
